<?php

namespace App\Entities;

use App\Entities\CommonEntity;

class UserSNSEntity extends CommonEntity
{
    protected $datamap = [];
    protected $dates   = ['created_at', 'updated_at', 'deleted_at'];
    protected $casts   = [];

    public function getPrimaryKey()
    {
        return $this->attributes['uid'];
    }
    public function getUserUID()
    {
        return $this->attributes['user_uid'];
    }
    public function getSite()
    {
        return $this->attributes['site'];
    }
    public function getTitle()
    {
        return $this->attributes['name'];
    }
    public function getEmail()
    {
        return $this->attributes['email'];
    }
    public function getStatus()
    {
        return $this->attributes['status'];
    }
}
